
Ruby - Bug #9261

HowToReport is broken

12/19/2013 09:49 AM - steveklabnik (Steve Klabnik)

Status: Closed   

Priority: Normal   

Assignee: zzak (zzak _)   

Target version:    

ruby -v: head Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN

Description

The page 404s.

http://bugs.ruby-lang.org/projects/ruby/wiki/HowtoReport

(linked off of the front page)

History

#1 - 12/19/2013 09:52 AM - sorah (Sorah Fukumori)

Does anyone have backups? :/

Should I translate it from Japanese again?

#2 - 12/19/2013 11:00 AM - naruse (Yui NARUSE)

simply copied from https://web.archive.org/web/20121120030103/http://bugs.ruby-lang.org/projects/ruby/wiki/HowtoReport

Note that only Manager, Developer, and Release Manager can remove the page.

#3 - 12/19/2013 03:17 PM - stomar (Marcus Stollsteimer)

The content is there but the layout/structure is still broken.

#4 - 12/20/2013 12:22 AM - zzak (zzak _)

- Status changed from Open to Assigned

- Priority changed from 5 to Normal

This is my fault, i've been working on revising the developer documentation.

You can see the latest version of this document here: https://github.com/ruby/ruby/blob/trunk/doc/contributing.rdoc

I hastily removed the wiki page. Until #8636 is complete, we won't have a absolute location for this document short of ruby-doc.org. My temporary

solution is restore the file from contributing.rdoc with a disclaimer that this page will be replaced.

See also #9254

#5 - 12/23/2013 06:52 AM - zzak (zzak _)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

I've imported part of ./doc/contributing.rdoc from trunk.

Although it's formatted in RDoc, we should be good now.
